# Uses of Class
org.apache.lucene.index.PostingsEnum

Packages that use PostingsEnum
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene912
Lucene 9.12 file format.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

## Uses of PostingsEnum in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return PostingsEnum
Modifier and Type
Method
Description
`abstract PostingsEnum`
PostingsReaderBase.`postings(FieldInfo fieldInfo, BlockTermState state, PostingsEnum reuse, int flags)`
Must fully consume state, since after this call that TermState may be reused.
Methods in org.apache.lucene.codecs with parameters of type PostingsEnum
Modifier and Type
Method
Description
`abstract PostingsEnum`
PostingsReaderBase.`postings(FieldInfo fieldInfo, BlockTermState state, PostingsEnum reuse, int flags)`
Must fully consume state, since after this call that TermState may be reused.

## Uses of PostingsEnum in org.apache.lucene.codecs.lucene912

Methods in org.apache.lucene.codecs.lucene912 that return PostingsEnum
Modifier and Type
Method
Description
`PostingsEnum`
Lucene912PostingsReader.`postings(FieldInfo fieldInfo, BlockTermState termState, PostingsEnum reuse, int flags)`
Methods in org.apache.lucene.codecs.lucene912 with parameters of type PostingsEnum
Modifier and Type
Method
Description
`PostingsEnum`
Lucene912PostingsReader.`postings(FieldInfo fieldInfo, BlockTermState termState, PostingsEnum reuse, int flags)`

## Uses of PostingsEnum in org.apache.lucene.index

Subclasses of PostingsEnum in org.apache.lucene.index
Modifier and Type
Class
Description
`static class`
`FilterLeafReader.FilterPostingsEnum`
Base class for filtering `PostingsEnum` implementations.
`class`
`ImpactsEnum`
Extension of `PostingsEnum` which also provides information about upcoming impacts.
`final class`
`MultiPostingsEnum`
Exposes `PostingsEnum`, merged from `PostingsEnum` API of sub-segments.
`final class`
`SlowImpactsEnum`
`ImpactsEnum` that doesn't index impacts but implements the API in a legal way.
Fields in org.apache.lucene.index declared as PostingsEnum
Modifier and Type
Field
Description
`protected final PostingsEnum`
FilterLeafReader.FilterPostingsEnum.`in`
The underlying PostingsEnum instance.
`PostingsEnum`
MultiPostingsEnum.EnumWithSlice.`postingsEnum`
`PostingsEnum` for this sub-reader.
Methods in org.apache.lucene.index that return PostingsEnum
Modifier and Type
Method
Description
`static PostingsEnum`
MultiTerms.`getTermPostingsEnum(IndexReader r, String field, BytesRef term)`
Returns `PostingsEnum` for the specified field and term.
`static PostingsEnum`
MultiTerms.`getTermPostingsEnum(IndexReader r, String field, BytesRef term, int flags)`
Returns `PostingsEnum` for the specified field and term, with control over whether freqs, positions, offsets or payloads are required.
`PostingsEnum`
FilteredTermsEnum.`postings(PostingsEnum reuse, int flags)`
`PostingsEnum`
FilterLeafReader.FilterTermsEnum.`postings(PostingsEnum reuse, int flags)`
`final PostingsEnum`
LeafReader.`postings(Term term)`
Returns `PostingsEnum` for the specified term with `FREQS`.
`final PostingsEnum`
LeafReader.`postings(Term term, int flags)`
Returns `PostingsEnum` for the specified term.
`PostingsEnum`
MultiTermsEnum.`postings(PostingsEnum reuse, int flags)`
`final PostingsEnum`
TermsEnum.`postings(PostingsEnum reuse)`
Get `PostingsEnum` for the current term.
`abstract PostingsEnum`
TermsEnum.`postings(PostingsEnum reuse, int flags)`
Get `PostingsEnum` for the current term, with control over whether freqs, positions, offsets or payloads are required.
`PostingsEnum`
FilterLeafReader.FilterPostingsEnum.`unwrap()`
Methods in org.apache.lucene.index with parameters of type PostingsEnum
Modifier and Type
Method
Description
`PostingsEnum`
FilteredTermsEnum.`postings(PostingsEnum reuse, int flags)`
`PostingsEnum`
FilterLeafReader.FilterTermsEnum.`postings(PostingsEnum reuse, int flags)`
`PostingsEnum`
MultiTermsEnum.`postings(PostingsEnum reuse, int flags)`
`final PostingsEnum`
TermsEnum.`postings(PostingsEnum reuse)`
Get `PostingsEnum` for the current term.
`abstract PostingsEnum`
TermsEnum.`postings(PostingsEnum reuse, int flags)`
Get `PostingsEnum` for the current term, with control over whether freqs, positions, offsets or payloads are required.
Constructors in org.apache.lucene.index with parameters of type PostingsEnum
Modifier
Constructor
Description
`protected`
`FilterPostingsEnum(PostingsEnum in)`
Create a new FilterPostingsEnum
``
`SlowImpactsEnum(PostingsEnum delegate)`
Wrap the given `PostingsEnum`.

## Uses of PostingsEnum in org.apache.lucene.search

Subclasses of PostingsEnum in org.apache.lucene.search
Modifier and Type
Class
Description
`static class`
`MultiPhraseQuery.UnionFullPostingsEnum`
Slower version of UnionPostingsEnum that delegates offsets and positions, for use by MatchesIterator
`static class`
`MultiPhraseQuery.UnionPostingsEnum`
Takes the logical union of multiple PostingsEnum iterators.
Methods in org.apache.lucene.search that return PostingsEnum
Modifier and Type
Method
Description
`PostingsEnum`
FuzzyTermsEnum.`postings(PostingsEnum reuse, int flags)`
Methods in org.apache.lucene.search with parameters of type PostingsEnum
Modifier and Type
Method
Description
`PostingsEnum`
FuzzyTermsEnum.`postings(PostingsEnum reuse, int flags)`
Constructors in org.apache.lucene.search with parameters of type PostingsEnum
Modifier
Constructor
Description
``
`PostingsAndFreq(PostingsEnum postings, ImpactsEnum impacts, int position, List<Term> terms)`
``
`PostingsAndFreq(PostingsEnum postings, ImpactsEnum impacts, int position, Term... terms)`
Creates PostingsAndFreq instance
``
`TermScorer(PostingsEnum postingsEnum, LeafSimScorer docScorer)`
Construct a `TermScorer` that will iterate all documents.
Constructor parameters in org.apache.lucene.search with type arguments of type PostingsEnum
Modifier
Constructor
Description
``
`UnionFullPostingsEnum(List<PostingsEnum> subs)`
``
`UnionPostingsEnum(Collection<PostingsEnum> subs)`